onEvent('recipes', event => {

    const id_prefix = 'botania:kubejs/shaped';

    const recipes = [
        {
            output: 'botania:mana_pylon',
            pattern: [
                'ABA',
                'BCB',
                'ABA'
            ],
            keys: {
                A: Item.of('tconstruct:large_plate', '{Material:"materialis:arcane_gold"}'),
                B: 'botania:mana_diamond',
                C: Ingredient.customNBT('astralsorcery:celestial_collector_crystal', (tag) => {
                    return tag.astralsorcery.constellation == "astralsorcery:lucerna"
                })
            },
            id: 'mana_pylon'
        }
    ];
    
    recipes.forEach(recipe => {
        event.shaped(recipe.output, recipe.pattern, recipe.keys).id(`${id_prefix}/${recipe.id}`);
    })

})